<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.hslf.record (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.hslf.record (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/textproperties/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.hslf.record</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ParentAwareRecord.html"
                                            title="interface in org.apache.poi.hslf.record">ParentAwareRecord</a></td>
                    <td class="colLast">
                        <div class="block">Interface to define how a record can indicate it cares about what its
                            parent is, and how it wants to be told which record is its parent.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/PersistRecord.html"
                                            title="interface in org.apache.poi.hslf.record">PersistRecord</a></td>
                    <td class="colLast">
                        <div class="block">A record that can be referenced in PersistPtr storage.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecord.html"
                            title="interface in org.apache.poi.hslf.record">PositionDependentRecord</a></td>
                    <td class="colLast">
                        <div class="block">Records which either care about where they are on disk, or have other
                            records who care about where they are, will implement this interface.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/RecordTypes.RecordConstructor.html"
                            title="interface in org.apache.poi.hslf.record">RecordTypes.RecordConstructor</a>&lt;T
                        extends <a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                   title="class in org.apache.poi.hslf.record">Record</a>&gt;
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/AnimationInfo.html"
                                            title="class in org.apache.poi.hslf.record">AnimationInfo</a></td>
                    <td class="colLast">
                        <div class="block">A container record that specifies information about animation information for
                            a shape.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/AnimationInfoAtom.html"
                                            title="class in org.apache.poi.hslf.record">AnimationInfoAtom</a></td>
                    <td class="colLast">
                        <div class="block">An atom record that specifies the animation information for a shape.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/BinaryTagDataBlob.html"
                                            title="class in org.apache.poi.hslf.record">BinaryTagDataBlob</a></td>
                    <td class="colLast">
                        <div class="block">If we come across a record we know has children of (potential)
                            interest, but where the record itself is boring, but where other
                            records may care about where this one lives, we create one
                            of these.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ColorSchemeAtom.html"
                                            title="class in org.apache.poi.hslf.record">ColorSchemeAtom</a></td>
                    <td class="colLast">
                        <div class="block">A ColorSchemeAtom (type 2032).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/Comment2000.html"
                                            title="class in org.apache.poi.hslf.record">Comment2000</a></td>
                    <td class="colLast">
                        <div class="block">This class represents a comment on a slide, in the format used by
                            PPT 2000/XP/etc.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/Comment2000Atom.html"
                                            title="class in org.apache.poi.hslf.record">Comment2000Atom</a></td>
                    <td class="colLast">
                        <div class="block">An atomic record containing information about a comment.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/CString.html"
                                            title="class in org.apache.poi.hslf.record">CString</a></td>
                    <td class="colLast">
                        <div class="block">A CString (type 4026).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/CurrentUserAtom.html"
                                            title="class in org.apache.poi.hslf.record">CurrentUserAtom</a></td>
                    <td class="colLast">
                        <div class="block">This is a special kind of Atom, because it doesn't live inside the
                            PowerPoint document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/DocInfoListContainer.html"
                                            title="class in org.apache.poi.hslf.record">DocInfoListContainer</a></td>
                    <td class="colLast">
                        <div class="block">A container record that specifies information about the document and document
                            display settings.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/Document.html"
                                            title="class in org.apache.poi.hslf.record">Document</a></td>
                    <td class="colLast">
                        <div class="block">Master container for Document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/DocumentAtom.html"
                                            title="class in org.apache.poi.hslf.record">DocumentAtom</a></td>
                    <td class="colLast">
                        <div class="block">A Document Atom (type 1001).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/DocumentAtom.SlideSize.html"
                                            title="class in org.apache.poi.hslf.record">DocumentAtom.SlideSize</a></td>
                    <td class="colLast">
                        <div class="block">Holds the different Slide Size values</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/DocumentEncryptionAtom.html"
                                            title="class in org.apache.poi.hslf.record">DocumentEncryptionAtom</a></td>
                    <td class="colLast">
                        <div class="block">A Document Encryption Atom (type 12052).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/DummyPositionSensitiveRecordWithChildren.html"
                            title="class in org.apache.poi.hslf.record">DummyPositionSensitiveRecordWithChildren</a>
                    </td>
                    <td class="colLast">
                        <div class="block">If we come across a record we know has children of (potential)
                            interest, but where the record itself is boring, but where other
                            records may care about where this one lives, we create one
                            of these.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/DummyRecordWithChildren.html"
                            title="class in org.apache.poi.hslf.record">DummyRecordWithChildren</a></td>
                    <td class="colLast">
                        <div class="block">If we come across a record we know has children of (potential)
                            interest, but where the record itself is boring, we create one
                            of these.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/Environment.html"
                                            title="class in org.apache.poi.hslf.record">Environment</a></td>
                    <td class="colLast">
                        <div class="block">Environment, which contains lots of settings for the document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/EscherPlaceholder.html"
                                            title="class in org.apache.poi.hslf.record">EscherPlaceholder</a></td>
                    <td class="colLast">
                        <div class="block">An atom record that specifies whether a shape is a placeholder shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/EscherTextboxWrapper.html"
                                            title="class in org.apache.poi.hslf.record">EscherTextboxWrapper</a></td>
                    <td class="colLast">
                        <div class="block">A wrapper around a DDF (Escher) EscherTextbox Record.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExAviMovie.html"
                                            title="class in org.apache.poi.hslf.record">ExAviMovie</a></td>
                    <td class="colLast">
                        <div class="block">A container record that specifies information about a movie stored
                            externally.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExControl.html"
                                            title="class in org.apache.poi.hslf.record">ExControl</a></td>
                    <td class="colLast">
                        <div class="block">A container record that specifies information about an ActiveX control.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExControlAtom.html"
                                            title="class in org.apache.poi.hslf.record">ExControlAtom</a></td>
                    <td class="colLast">
                        <div class="block">An atom record that specifies an ActiveX control.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExEmbed.html"
                                            title="class in org.apache.poi.hslf.record">ExEmbed</a></td>
                    <td class="colLast">
                        <div class="block">This data represents an embedded object in the document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExEmbedAtom.html"
                                            title="class in org.apache.poi.hslf.record">ExEmbedAtom</a></td>
                    <td class="colLast">
                        <div class="block">The atom that holds metadata on a specific embedded object in the document.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExHyperlink.html"
                                            title="class in org.apache.poi.hslf.record">ExHyperlink</a></td>
                    <td class="colLast">
                        <div class="block">This class represents the data of a link in the document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExHyperlinkAtom.html"
                                            title="class in org.apache.poi.hslf.record">ExHyperlinkAtom</a></td>
                    <td class="colLast">
                        <div class="block">Tne atom that holds metadata on a specific Link in the document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExMCIMovie.html"
                                            title="class in org.apache.poi.hslf.record">ExMCIMovie</a></td>
                    <td class="colLast">
                        <div class="block">A container record that specifies information about a movie stored
                            externally.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExMediaAtom.html"
                                            title="class in org.apache.poi.hslf.record">ExMediaAtom</a></td>
                    <td class="colLast">
                        <div class="block">An atom record that specifies information about external audio or video
                            data.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExObjList.html"
                                            title="class in org.apache.poi.hslf.record">ExObjList</a></td>
                    <td class="colLast">
                        <div class="block">This class holds the links to exernal objects referenced
                            from the document.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExObjListAtom.html"
                                            title="class in org.apache.poi.hslf.record">ExObjListAtom</a></td>
                    <td class="colLast">
                        <div class="block">Tne atom that holds the seed info used by a ExObjList</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExObjRefAtom.html"
                                            title="class in org.apache.poi.hslf.record">ExObjRefAtom</a></td>
                    <td class="colLast">
                        <div class="block">ExObjRefAtom (3009).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExOleObjAtom.html"
                                            title="class in org.apache.poi.hslf.record">ExOleObjAtom</a></td>
                    <td class="colLast">
                        <div class="block">Atom storing information for an OLE object.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExOleObjStg.html"
                                            title="class in org.apache.poi.hslf.record">ExOleObjStg</a></td>
                    <td class="colLast">
                        <div class="block">Storage for embedded OLE objects.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/ExVideoContainer.html"
                                            title="class in org.apache.poi.hslf.record">ExVideoContainer</a></td>
                    <td class="colLast">
                        <div class="block">A container record that specifies information about external video data.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/FontCollection.html"
                                            title="class in org.apache.poi.hslf.record">FontCollection</a></td>
                    <td class="colLast">
                        <div class="block"><code>FontCollection</code> ia a container that holds information
                            about all the fonts in the presentation.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/FontEntityAtom.html"
                                            title="class in org.apache.poi.hslf.record">FontEntityAtom</a></td>
                    <td class="colLast">
                        <div class="block">This atom corresponds exactly to a Windows Logical Font (LOGFONT)
                            structure.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/HeadersFootersAtom.html"
                                            title="class in org.apache.poi.hslf.record">HeadersFootersAtom</a></td>
                    <td class="colLast">
                        <div class="block">An atom record that specifies options for displaying headers and footers
                            on a presentation slide or notes slide.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/HeadersFootersContainer.html"
                            title="class in org.apache.poi.hslf.record">HeadersFootersContainer</a></td>
                    <td class="colLast">
                        <div class="block">A container record that specifies information about the footers on a
                            presentation slide.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/HSLFEscherClientDataRecord.html"
                            title="class in org.apache.poi.hslf.record">HSLFEscherClientDataRecord</a></td>
                    <td class="colLast">
                        <div class="block">An atom record that specifies whether a shape is a placeholder shape.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/HSLFEscherRecordFactory.html"
                            title="class in org.apache.poi.hslf.record">HSLFEscherRecordFactory</a></td>
                    <td class="colLast">
                        <div class="block">Generates escher records when provided the byte array containing those
                            records.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/InteractiveInfo.html"
                                            title="class in org.apache.poi.hslf.record">InteractiveInfo</a></td>
                    <td class="colLast">
                        <div class="block">This class represents the metadata of a link in a slide/notes/etc.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/InteractiveInfoAtom.html"
                                            title="class in org.apache.poi.hslf.record">InteractiveInfoAtom</a></td>
                    <td class="colLast">
                        <div class="block">Tne atom that holds metadata on Links in the document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/MainMaster.html"
                                            title="class in org.apache.poi.hslf.record">MainMaster</a></td>
                    <td class="colLast">
                        <div class="block">Master slide</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/MasterTextPropAtom.html"
                                            title="class in org.apache.poi.hslf.record">MasterTextPropAtom</a></td>
                    <td class="colLast">
                        <div class="block">Specifies the Indent Level for the text</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/Notes.html"
                                            title="class in org.apache.poi.hslf.record">Notes</a></td>
                    <td class="colLast">
                        <div class="block">Master container for Notes.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/NotesAtom.html"
                                            title="class in org.apache.poi.hslf.record">NotesAtom</a></td>
                    <td class="colLast">
                        <div class="block">A Notes Atom (type 1009).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/OEPlaceholderAtom.html"
                                            title="class in org.apache.poi.hslf.record">OEPlaceholderAtom</a></td>
                    <td class="colLast">
                        <div class="block">OEPlaceholderAtom (3011).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/OutlineTextRefAtom.html"
                                            title="class in org.apache.poi.hslf.record">OutlineTextRefAtom</a></td>
                    <td class="colLast">
                        <div class="block">OEPlaceholderAtom (3998).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/PersistPtrHolder.html"
                                            title="class in org.apache.poi.hslf.record">PersistPtrHolder</a></td>
                    <td class="colLast">
                        <div class="block">General holder for PersistPtrFullBlock and PersistPtrIncrementalBlock
                            records.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordAtom.html"
                            title="class in org.apache.poi.hslf.record">PositionDependentRecordAtom</a></td>
                    <td class="colLast">
                        <div class="block">A special (and dangerous) kind of Record Atom that cares about where
                            it lives on the disk, or who has other Atoms that care about where
                            this is on the disk.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/PositionDependentRecordContainer.html"
                            title="class in org.apache.poi.hslf.record">PositionDependentRecordContainer</a></td>
                    <td class="colLast">
                        <div class="block">A special (and dangerous) kind of Record Container, for which other
                            Atoms care about where this one lives on disk.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/PPDrawing.html"
                                            title="class in org.apache.poi.hslf.record">PPDrawing</a></td>
                    <td class="colLast">
                        <div class="block">These are actually wrappers onto Escher drawings.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/PPDrawingGroup.html"
                                            title="class in org.apache.poi.hslf.record">PPDrawingGroup</a></td>
                    <td class="colLast">
                        <div class="block">Container records which always exists inside Document.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/Record.html"
                                            title="class in org.apache.poi.hslf.record">Record</a></td>
                    <td class="colLast">
                        <div class="block">This abstract class represents a record in the PowerPoint document.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/RecordAtom.html"
                                            title="class in org.apache.poi.hslf.record">RecordAtom</a></td>
                    <td class="colLast">
                        <div class="block">Abstract class which all atom records will extend.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/RecordContainer.html"
                                            title="class in org.apache.poi.hslf.record">RecordContainer</a></td>
                    <td class="colLast">
                        <div class="block">Abstract class which all container records will extend.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/RoundTripHFPlaceholder12.html"
                            title="class in org.apache.poi.hslf.record">RoundTripHFPlaceholder12</a></td>
                    <td class="colLast">
                        <div class="block">An atom record that specifies that a shape is a header or footer placeholder
                            shape
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/SheetContainer.html"
                                            title="class in org.apache.poi.hslf.record">SheetContainer</a></td>
                    <td class="colLast">
                        <div class="block">The superclass of all sheet container records - Slide, Notes, MainMaster,
                            etc.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/Slide.html"
                                            title="class in org.apache.poi.hslf.record">Slide</a></td>
                    <td class="colLast">
                        <div class="block">Master container for Slides.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/SlideAtom.html"
                                            title="class in org.apache.poi.hslf.record">SlideAtom</a></td>
                    <td class="colLast">
                        <div class="block">A Slide Atom (type 1007).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.html"
                                            title="class in org.apache.poi.hslf.record">SlideAtomLayout</a></td>
                    <td class="colLast">
                        <div class="block">Holds the geometry of the Slide, and the ID of the placeholders on the
                            slide.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/SlideListWithText.html"
                                            title="class in org.apache.poi.hslf.record">SlideListWithText</a></td>
                    <td class="colLast">
                        <div class="block">These are tricky beasts.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/SlideListWithText.SlideAtomsSet.html"
                            title="class in org.apache.poi.hslf.record">SlideListWithText.SlideAtomsSet</a></td>
                    <td class="colLast">
                        <div class="block">Inner class to wrap up a matching set of records that hold the
                            text for a given sheet.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/SlidePersistAtom.html"
                                            title="class in org.apache.poi.hslf.record">SlidePersistAtom</a></td>
                    <td class="colLast">
                        <div class="block">A SlidePersist Atom (type 1011).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/Sound.html"
                                            title="class in org.apache.poi.hslf.record">Sound</a></td>
                    <td class="colLast">
                        <div class="block">A container holding information about a sound.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/SoundCollection.html"
                                            title="class in org.apache.poi.hslf.record">SoundCollection</a></td>
                    <td class="colLast">
                        <div class="block">Is a container for all sound related atoms and containers.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/SoundData.html"
                                            title="class in org.apache.poi.hslf.record">SoundData</a></td>
                    <td class="colLast">
                        <div class="block">Storage for embedded sounds.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/SSSlideInfoAtom.html"
                                            title="class in org.apache.poi.hslf.record">SSSlideInfoAtom</a></td>
                    <td class="colLast">
                        <div class="block">A SlideShowSlideInfo Atom (type 1017).<br>
                            <br>

                            An atom record that specifies which transition effects to perform
                            during a slide show, and how to advance to the next presentation slide.<br>
                            <br>

                            Combination of effectType and effectDirection:

                            typedescriptiondirection
                            0cut0x00 = no transition, 0x01 = black transition
                            1random0x00
                            2blinds0x00 = vertical, 0x01 = horizontal
                            3checkerlike blinds
                            4cover0x00 = left, 0x01 = up, 0x02 = right, 0x03 = down, 0x04 = left/up, 0x05 = right/up,
                            0x06 left/down, 0x07 = left/down
                            5dissolve0x00
                            6fade0x00
                            7uncoverlike cover
                            8random barslike blinds
                            9stripslike 0x04 - 0x07 of cover
                            10wipelike 0x00 - 0x03 of cover
                            11box in/out0x00 = out, 0x01 = in
                            13split0x00 = horizontally out, 0x01 = horizontally in, 0x02 = vertically out, 0x03 =
                            vertically in
                            17diamond0x00
                            18plus0x00
                            19wedge0x00
                            20pushlike 0x00 - 0x03 of cover
                            21comblike blinds
                            22newsflash0x00
                            23alphafade0x00
                            26wheelnumber of radial divisions (0x01,0x02,0x03,0x04,0x08)
                            27circle0x00
                            255undefined0x00
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/StyleTextProp9Atom.html"
                                            title="class in org.apache.poi.hslf.record">StyleTextProp9Atom</a></td>
                    <td class="colLast">
                        <div class="block">The atom record that specifies additional text formatting.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/StyleTextPropAtom.html"
                                            title="class in org.apache.poi.hslf.record">StyleTextPropAtom</a></td>
                    <td class="colLast">
                        <div class="block">A StyleTextPropAtom (type 4001).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/TextBytesAtom.html"
                                            title="class in org.apache.poi.hslf.record">TextBytesAtom</a></td>
                    <td class="colLast">
                        <div class="block">A TextBytesAtom (type 4008).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/TextCharsAtom.html"
                                            title="class in org.apache.poi.hslf.record">TextCharsAtom</a></td>
                    <td class="colLast">
                        <div class="block">A TextCharsAtom (type 4000).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/TextHeaderAtom.html"
                                            title="class in org.apache.poi.hslf.record">TextHeaderAtom</a></td>
                    <td class="colLast">
                        <div class="block">A TextHeaderAtom (type 3999).</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/TextRulerAtom.html"
                                            title="class in org.apache.poi.hslf.record">TextRulerAtom</a></td>
                    <td class="colLast">
                        <div class="block">Ruler of a text as it differs from the style's ruler settings.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/TextSpecInfoAtom.html"
                                            title="class in org.apache.poi.hslf.record">TextSpecInfoAtom</a></td>
                    <td class="colLast">
                        <div class="block">The special info runs contained in this text.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.html"
                                            title="class in org.apache.poi.hslf.record">TextSpecInfoRun</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/TxInteractiveInfoAtom.html"
                                            title="class in org.apache.poi.hslf.record">TxInteractiveInfoAtom</a></td>
                    <td class="colLast">
                        <div class="block">Tne atom that holds starting and ending character positions of a hyperlink
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/TxMasterStyleAtom.html"
                                            title="class in org.apache.poi.hslf.record">TxMasterStyleAtom</a></td>
                    <td class="colLast">
                        <div class="block">TxMasterStyleAtom atom (4003).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/UnknownRecordPlaceholder.html"
                            title="class in org.apache.poi.hslf.record">UnknownRecordPlaceholder</a></td>
                    <td class="colLast">
                        <div class="block">If we come across a record we don't know about, we create one of
                            these.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/UserEditAtom.html"
                                            title="class in org.apache.poi.hslf.record">UserEditAtom</a></td>
                    <td class="colLast">
                        <div class="block">A UserEdit Atom (type 4085).</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/VBAInfoAtom.html"
                                            title="class in org.apache.poi.hslf.record">VBAInfoAtom</a></td>
                    <td class="colLast">
                        <div class="block">An atom record that specifies a reference to the VBA project storage.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/VBAInfoContainer.html"
                                            title="class in org.apache.poi.hslf.record">VBAInfoContainer</a></td>
                    <td class="colLast">
                        <div class="block">A container record that specifies VBA information for the document.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/hslf/record/RecordTypes.html"
                                            title="enum in org.apache.poi.hslf.record">RecordTypes</a></td>
                    <td class="colLast">
                        <div class="block">List of all known record types in a PowerPoint document, and the
                            classes that handle them.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/SlideAtomLayout.SlideLayoutType.html"
                            title="enum in org.apache.poi.hslf.record">SlideAtomLayout.SlideLayoutType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/hslf/record/TextSpecInfoRun.SpellInfoEnum.html"
                            title="enum in org.apache.poi.hslf.record">TextSpecInfoRun.SpellInfoEnum</a></td>
                    <td class="colLast">
                        <div class="block">A enum that specifies the spelling status of a run of text.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/textproperties/package-summary.html">Prev&nbsp;Package</a>
        </li>
        <li><a href="../../../../../org/apache/poi/hslf/usermodel/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/record/package-summary.html" target="_top">Frames</a>
        </li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
